FAILLOG(8)

NAME
faillog - display faillog records or set login failure limits

SYNOPSIS

faillog [options]

DESCRIPTION

faillog formats the contents of the failure log from /var/log/faillog database. It also can be used for maintains failure counters and limits. Run faillog without arguments display only list of user faillog records who have ever had a login failure.

OPTIONS

The options which apply to the faillog command are:

-a, --all
    Display faillog records for all users.

-h, --help
    Display help message and exit.

-l, --lock-time SEC
    Lock account to SEC seconds after failed login.

-m, --maximum MAX
    Set maximum number of login failures after the account is disabled to MAX. Selecting MAX value of 0 has the effect of not placing a limit on the number of failed logins. The maximum failure count should always be 0 for root to prevent a denial of services attack against the system.

-r, --reset
    Reset the counters of login failures or one record if used with the -u LOGIN option. Write access to /var/log/faillog is required for this option.

-t, --time DAYS
    Display faillog records more recent than DAYS. The -t flag overrides the use of -u.

-u, --user LOGIN
    Display faillog record or maintains failure counters and limits (if used with -l, -m or -r options) only for user with LOGIN.

CAVEATS

faillog only prints out users with no successful login since the last failure. To print out a user who has had a successful login since their last failure, you must explicitly request the user with the -u flag, or print out all users with the -a flag.

FILES

/var/log/faillog
    Failure logging file.

SEE ALSO

login(1), faillog(5).